Page MenuHomePhabricator

"Your skin is incompatible with VisualEditor" warning on protected pages
Closed, ResolvedPublic1 Story Points

Description

On enwiki and meta I'm getting the following warning in the browser console:

Your skin is incompatible with VisualEditor. See https://www.mediawiki.org/wiki/VisualEditor/Skin_requirements for the requirements.

VisualEditor still appears to be working fine.

Event Timeline

Pcoombe created this task.Apr 6 2017, 10:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2017, 10:22 PM
Jdforrester-WMF changed the task status from Open to Stalled.Apr 6 2017, 11:02 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Hmm. We just improved skin support, switching from a skin whitelist to skin feature detection, but I can't replicate – it's possible you've got some user script / user CSS that's breaking your page. Maybe we should warn specifically what specific bit of the skin is missing?

Do you see this on any specific pages?

Ah, it appears to be on protected pages which makes sense because they have #ca-viewsource instead of #ca-edit. Not a user script as I can replicate when logged out and in a fresh browser session.

Pcoombe renamed this task from "Your skin is incompatible with VisualEditor" warning on Vector to "Your skin is incompatible with VisualEditor" warning on protected pages.Apr 7 2017, 7:29 AM
matmarex claimed this task.Apr 7 2017, 11:21 PM
Krinkle changed the task status from Stalled to Open.Apr 18 2017, 12:11 AM

Change 350471 had a related patch set uploaded (by Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] init: Relax checks for required skin elements to avoid false positives

https://gerrit.wikimedia.org/r/350471

Change 350471 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] init: Fix checks for required skin elements to avoid false positives

https://gerrit.wikimedia.org/r/350471

Jdforrester-WMF closed this task as Resolved.May 1 2017, 10:40 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 1 2017, 10:40 PM

Change 351282 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@REL1_29] init: Fix checks for required skin elements to avoid false positives

https://gerrit.wikimedia.org/r/351282

Change 351282 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@REL1_29] init: Fix checks for required skin elements to avoid false positives

https://gerrit.wikimedia.org/r/351282